<template>
  <div class="ds-result-headline padding-0-mobile col">
    {{ getLoading ? $t(config.textKeys.loading) :
      `${$t(config.textKeys.count)} (${getCount?.toLocaleString("fi")})`
    }}
  </div>
</template>

<script>


export default {
  name: "SearchCount",
  props: {
    config: Object
  },
  computed: {
    getCount() {
      return this.$store.getters[`${this.config.getCount[0]}/${this.config.getCount[1]}`];
    },
    getLoading() {
      return this.$store.getters[`${this.config.getLoading[0]}/${this.config.getLoading[1]}`];
    }
  }
}
</script>

<style lang="scss" scoped>
@media screen and (max-width: 767.5px) {
  .ds-result-headline {
    margin-left: 0;
    margin-top: 20px;
  }
  .padding-0-mobile {
    padding: 0;
  }
}
</style>
